<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HwmfBinaryRasterOp (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HwmfBinaryRasterOp (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HwmfBinaryRasterOp.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/hwmf/record/HwmfBitmap16.html"
               title="class in org.apache.poi.hwmf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html"
               target="_top">Frames</a></li>
        <li><a href="HwmfBinaryRasterOp.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwmf.record</div>
    <h2 title="Enum HwmfBinaryRasterOp" class="title">Enum HwmfBinaryRasterOp</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>java.lang.Enum&lt;<a href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html"
                                         title="enum in org.apache.poi.hwmf.record">HwmfBinaryRasterOp</a>&gt;
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hwmf.record.HwmfBinaryRasterOp</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Serializable, java.lang.Comparable&lt;<a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html"
                            title="enum in org.apache.poi.hwmf.record">HwmfBinaryRasterOp</a>&gt;
                    </dd>
                </dl>
                <hr>
                <br>
                <pre>public enum <span class="typeNameLabel">HwmfBinaryRasterOp</span>
extends java.lang.Enum&lt;<a href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html"
                             title="enum in org.apache.poi.hwmf.record">HwmfBinaryRasterOp</a>&gt;</pre>
                <div class="block">The BinaryRasterOperation Enumeration section lists the binary raster-operation
                    codes.
                    Rasteroperation codes define how metafile processing combines the bits from the selected
                    pen with the bits in the destination bitmap.

                    Each raster-operation code represents a Boolean operation in which the values of the pixels in the
                    selected pen and the destination bitmap are combined. Following are the two operands used in these
                    operations.

                    <table>
                        <tr>
                            <th>Operand</th>
                            <th>Meaning</th>
                        </tr>
                        <tr>
                            <td>P</td>
                            <td>Selected pen</td>
                        </tr>
                        <tr>
                            <td>D</td>
                            <td>Destination bitmap</td>
                        </tr>
                    </table>

                    Following are the Boolean operators used in these operations.
                    <table>
                        <tr>
                            <th>Operand</th>
                            <th>Meaning</th>
                        </tr>
                        <tr>
                            <td>a</td>
                            <td>Bitwise AND</td>
                        </tr>
                        <tr>
                            <td>n</td>
                            <td>Bitwise NOT (inverse)</td>
                        </tr>
                        <tr>
                            <td>o</td>
                            <td>Bitwise OR</td>
                        </tr>
                        <tr>
                            <td>x</td>
                            <td>Bitwise exclusive OR (XOR)</td>
                        </tr>
                    </table>

                    All Boolean operations are presented in reverse Polish notation. For example, the following
                    operation replaces the values of the pixels in the destination bitmap with a combination of the
                    pixel
                    values of the pen and the selected brush: DPo.

                    Each raster-operation code is a 32-bit integer whose high-order word is a Boolean operation index
                    and
                    whose low-order word is the operation code. The 16-bit operation index is a zero-extended, 8-bit
                    value that represents all possible outcomes resulting from the Boolean operation on two parameters
                    (in this case, the pen and destination values). For example, the operation indexes for the DPo and
                    DPan operations are shown in the following list.

                    <table>
                        <tr>
                            <th>P</th>
                            <th>D</th>
                            <th>DPo</th>
                            <th>DPan</th>
                        </tr>
                        <tr>
                            <td>0</td>
                            <td>0</td>
                            <td>0</td>
                            <td>1</td>
                        </tr>
                        <tr>
                            <td>0</td>
                            <td>1</td>
                            <td>1</td>
                            <td>1</td>
                        </tr>
                        <tr>
                            <td>1</td>
                            <td>0</td>
                            <td>1</td>
                            <td>1</td>
                        </tr>
                        <tr>
                            <td>1</td>
                            <td>1</td>
                            <td>1</td>
                            <td>0</td>
                        </tr>
                    </table>
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== ENUM CONSTANT SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="enum.constant.summary">
                        <!--   -->
                    </a>
                        <h3>Enum Constant Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Enum Constant Summary table, listing enum constants, and an explanation">
                            <caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Enum Constant and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html#R2_BLACK">R2_BLACK</a></span></code>
                                    <div class="block">0, Pixel is always 0</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html#R2_COPYPEN">R2_COPYPEN</a></span></code>
                                    <div class="block">P, Pixel is the pen color.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html#R2_MASKNOTPEN">R2_MASKNOTPEN</a></span></code>
                                    <div class="block">DPna, Pixel is a combination of the screen color and the inverse
                                        of the pen color.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html#R2_MASKPEN">R2_MASKPEN</a></span></code>
                                    <div class="block">DPa, Pixel is a combination of the colors common to both the pen
                                        and the screen.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html#R2_MASKPENNOT">R2_MASKPENNOT</a></span></code>
                                    <div class="block">PDna, Pixel is a combination of the colors common to both the pen
                                        and the inverse of the screen.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html#R2_MERGENOTPEN">R2_MERGENOTPEN</a></span></code>
                                    <div class="block">DPno, Pixel is a combination of the colors common to both the
                                        screen and the inverse of the pen.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html#R2_MERGEPEN">R2_MERGEPEN</a></span></code>
                                    <div class="block">DPo, Pixel is a combination of the pen color and the screen
                                        color.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html#R2_MERGEPENNOT">R2_MERGEPENNOT</a></span></code>
                                    <div class="block">PDno, Pixel is a combination of the pen color and the inverse of
                                        the screen color.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html#R2_NOP">R2_NOP</a></span></code>
                                    <div class="block">D, Pixel remains unchanged.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html#R2_NOT">R2_NOT</a></span></code>
                                    <div class="block">Dn, Pixel is the inverse of the screen color.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html#R2_NOTCOPYPEN">R2_NOTCOPYPEN</a></span></code>
                                    <div class="block">Pn, Pixel is the inverse of the pen color.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html#R2_NOTMASKPEN">R2_NOTMASKPEN</a></span></code>
                                    <div class="block">DPan, Pixel is the inverse of the R2_MASKPEN color.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html#R2_NOTMERGEPEN">R2_NOTMERGEPEN</a></span></code>
                                    <div class="block">DPon, Pixel is the inverse of the R2_MERGEPEN color.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html#R2_NOTXORPEN">R2_NOTXORPEN</a></span></code>
                                    <div class="block">DPxn, Pixel is the inverse of the R2_XORPEN color.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html#R2_WHITE">R2_WHITE</a></span></code>
                                    <div class="block">1, Pixel is always 1</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html#R2_XORPEN">R2_XORPEN</a></span></code>
                                    <div class="block">DPx, Pixel is a combination of the colors in the pen or in the
                                        screen, but not in both.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBinaryRasterOp</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html#valueOf-int-">valueOf</a></span>(int&nbsp;opIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBinaryRasterOp</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;name)</code>
                                    <div class="block">Returns the enum constant of this type with the specified name.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBinaryRasterOp</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html#values--">values</a></span>()</code>
                                    <div class="block">Returns an array containing the constants of this enum type, in
                                        the order they are declared.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Enum</h3>
                                <code>clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal,
                                    toString, valueOf</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ ENUM CONSTANT DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="enum.constant.detail">
                        <!--   -->
                    </a>
                        <h3>Enum Constant Detail</h3>
                        <a name="R2_BLACK">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>R2_BLACK</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBinaryRasterOp</a> R2_BLACK</pre>
                                <div class="block">0, Pixel is always 0</div>
                            </li>
                        </ul>
                        <a name="R2_NOTMERGEPEN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>R2_NOTMERGEPEN</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBinaryRasterOp</a> R2_NOTMERGEPEN</pre>
                                <div class="block">DPon, Pixel is the inverse of the R2_MERGEPEN color.</div>
                            </li>
                        </ul>
                        <a name="R2_MASKNOTPEN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>R2_MASKNOTPEN</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBinaryRasterOp</a> R2_MASKNOTPEN</pre>
                                <div class="block">DPna, Pixel is a combination of the screen color and the inverse of
                                    the pen color.
                                </div>
                            </li>
                        </ul>
                        <a name="R2_NOTCOPYPEN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>R2_NOTCOPYPEN</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBinaryRasterOp</a> R2_NOTCOPYPEN</pre>
                                <div class="block">Pn, Pixel is the inverse of the pen color.</div>
                            </li>
                        </ul>
                        <a name="R2_MASKPENNOT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>R2_MASKPENNOT</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBinaryRasterOp</a> R2_MASKPENNOT</pre>
                                <div class="block">PDna, Pixel is a combination of the colors common to both the pen and
                                    the inverse of the screen.
                                </div>
                            </li>
                        </ul>
                        <a name="R2_NOT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>R2_NOT</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBinaryRasterOp</a> R2_NOT</pre>
                                <div class="block">Dn, Pixel is the inverse of the screen color.</div>
                            </li>
                        </ul>
                        <a name="R2_XORPEN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>R2_XORPEN</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBinaryRasterOp</a> R2_XORPEN</pre>
                                <div class="block">DPx, Pixel is a combination of the colors in the pen or in the
                                    screen, but not in both.
                                </div>
                            </li>
                        </ul>
                        <a name="R2_NOTMASKPEN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>R2_NOTMASKPEN</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBinaryRasterOp</a> R2_NOTMASKPEN</pre>
                                <div class="block">DPan, Pixel is the inverse of the R2_MASKPEN color.</div>
                            </li>
                        </ul>
                        <a name="R2_MASKPEN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>R2_MASKPEN</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBinaryRasterOp</a> R2_MASKPEN</pre>
                                <div class="block">DPa, Pixel is a combination of the colors common to both the pen and
                                    the screen.
                                </div>
                            </li>
                        </ul>
                        <a name="R2_NOTXORPEN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>R2_NOTXORPEN</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBinaryRasterOp</a> R2_NOTXORPEN</pre>
                                <div class="block">DPxn, Pixel is the inverse of the R2_XORPEN color.</div>
                            </li>
                        </ul>
                        <a name="R2_NOP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>R2_NOP</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBinaryRasterOp</a> R2_NOP</pre>
                                <div class="block">D, Pixel remains unchanged.</div>
                            </li>
                        </ul>
                        <a name="R2_MERGENOTPEN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>R2_MERGENOTPEN</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBinaryRasterOp</a> R2_MERGENOTPEN</pre>
                                <div class="block">DPno, Pixel is a combination of the colors common to both the screen
                                    and the inverse of the pen.
                                </div>
                            </li>
                        </ul>
                        <a name="R2_COPYPEN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>R2_COPYPEN</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBinaryRasterOp</a> R2_COPYPEN</pre>
                                <div class="block">P, Pixel is the pen color.</div>
                            </li>
                        </ul>
                        <a name="R2_MERGEPENNOT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>R2_MERGEPENNOT</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBinaryRasterOp</a> R2_MERGEPENNOT</pre>
                                <div class="block">PDno, Pixel is a combination of the pen color and the inverse of the
                                    screen color.
                                </div>
                            </li>
                        </ul>
                        <a name="R2_MERGEPEN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>R2_MERGEPEN</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBinaryRasterOp</a> R2_MERGEPEN</pre>
                                <div class="block">DPo, Pixel is a combination of the pen color and the screen color.
                                </div>
                            </li>
                        </ul>
                        <a name="R2_WHITE">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>R2_WHITE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBinaryRasterOp</a> R2_WHITE</pre>
                                <div class="block">1, Pixel is always 1</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="values--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>values</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBinaryRasterOp</a>[]&nbsp;values()</pre>
                                <div class="block">Returns an array containing the constants of this enum type, in
                                    the order they are declared. This method may be used to iterate
                                    over the constants as follows:
                                    <pre>
for (HwmfBinaryRasterOp c : HwmfBinaryRasterOp.values())
&nbsp;   System.out.println(c);
</pre>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an array containing the constants of this enum type, in the order they are
                                        declared
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="valueOf-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>valueOf</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBinaryRasterOp</a>&nbsp;valueOf(java.lang.String&nbsp;name)</pre>
                                <div class="block">Returns the enum constant of this type with the specified name.
                                    The string must match <i>exactly</i> an identifier used to declare an
                                    enum constant in this type. (Extraneous whitespace characters are
                                    not permitted.)
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the name of the enum constant to be returned.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the enum constant with the specified name</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if this enum type has no
                                        constant with the specified name
                                    </dd>
                                    <dd><code>java.lang.NullPointerException</code> - if the argument is null</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="valueOf-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>valueOf</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html"
                                        title="enum in org.apache.poi.hwmf.record">HwmfBinaryRasterOp</a>&nbsp;valueOf(int&nbsp;opIndex)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HwmfBinaryRasterOp.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/hwmf/record/HwmfBitmap16.html"
               title="class in org.apache.poi.hwmf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwmf/record/HwmfBinaryRasterOp.html"
               target="_top">Frames</a></li>
        <li><a href="HwmfBinaryRasterOp.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
